# Truncate all data from an event store Truncates (deletes) all events from a specific event store in Zuora Mediation. This operation runs asynchronously and returns a query job identifier that you can use with the Event Store query job APIs to monitor status. Endpoint: POST /meters/events/stores/{eventStoreId}/truncate Version: 2026-04-10 Security: bearerAuth ## Path parameters: - `eventStoreId` (integer, required) ID of the event store to truncate. ## Header parameters: - `Content-Type` (string, required) Specify the content type of the request body. Use application/json. - `Accept-Encoding` (string) Include the Accept-Encoding: gzip header to compress responses as a gzipped file. It can significantly reduce the bandwidth required for a response. If specified, Zuora automatically compresses responses that contain over 1000 bytes of data, and the response contains a Content-Encoding header with the compression algorithm so that your client can decompress it. - `Content-Encoding` (string) Include the Content-Encoding: gzip header to compress a request. With this header specified, you should upload a gzipped file for the request payload instead of sending the JSON payload. - `Zuora-Entity-Ids` (string) An entity ID. If you have Zuora Multi-entity enabled and the OAuth token is valid for more than one entity, you must use this header to specify which entity to perform the operation in. If the OAuth token is only valid for a single entity, or you do not have Zuora Multi-entity enabled, you should not set this header. - `Zuora-Org-Ids` (string) Comma separated IDs. If you have Zuora Multi-Org enabled, you can use this header to specify which orgs to perform the operation in. If you do not have Zuora Multi-Org enabled, you should not set this header. The IDs must be a sub-set of the user's accessible orgs. If you specify an org that the user does not have access to, the operation fails. This header is important in Multi-Org (MO) setups because it defines the organization context under which the API should operate—mainly used for read access or data visibility filtering. If the header is not set, the operation is performed in scope of the user's accessible orgs. - `Zuora-Track-Id` (string) A custom identifier for tracing the API call. If you set a value for this header, Zuora returns the same value in the response headers. This header enables you to associate your system process identifiers with Zuora API calls, to assist with troubleshooting in the event of an issue. The value of this field must use the US-ASCII character set and must not include any of the following characters: colon (:), semicolon (;), double quote ("), and quote ('). ## Response 200 fields (application/json): - `success` (boolean) Indicates whether the request was successful. - `data` (object) Truncation job metadata. - `data.queryId` (string) ID of the submitted truncation job. Use this to poll job status. - `previousPage` (string,null) Cursor for the previous page, if available. Used for backward pagination. - `nextPage` (string,null) Cursor for the next page, if available. Used for forward pagination. ## Response 400 fields (application/json): - `success` (boolean) Indicates whether the request was successful. - `previousPage` (string,null) Cursor or URL for the previous page of results, if available. Used for backward pagination. - `nextPage` (string,null) Cursor or URL for the next page of results, if available. Used for forward pagination. - `error` (object) - `error.code` (string) Application-specific error code. - `error.message` (string) Human-readable error message. ## Response 404 fields (application/json): - `success` (boolean) Indicates whether the request was successful. - `previousPage` (string,null) Cursor or URL for the previous page of results, if available. Used for backward pagination. - `nextPage` (string,null) Cursor or URL for the next page of results, if available. Used for forward pagination. - `error` (object) - `error.code` (string) Application-specific error code. - `error.message` (string) Human-readable error message. ## Response 409 fields (application/json): - `success` (boolean) Indicates whether the request was successful. - `previousPage` (string,null) Cursor or URL for the previous page of results, if available. Used for backward pagination. - `nextPage` (string,null) Cursor or URL for the next page of results, if available. Used for forward pagination. - `error` (object) - `error.code` (string) Application-specific error code. - `error.message` (string) Human-readable error message. ## Response 500 fields (application/json): - `reasons` (array) Example: [{"code":"ObjectNotFound","message":"Notification definition with id 6e569e1e05f040eda51a927b140c0ac1 does not exist"}] - `reasons.code` (string) The error code of response. - `reasons.message` (string) The detail information of the error response